//*****************************************************************************
//*
//*
//*		ChangePerviewDlg.cpp
//*
//*
//*****************************************************************************
// ChangePerviewDlg.cpp : implementation file
//
#include	"StdAfx.h"
#include	"DataFinder.h"
#include	"ChangePerviewDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

#define 	 ID_TEXTOLD		0x1785
#define 	 ID_TEXTNEW		0x1786

#define 	 TEXT_MAX		1024


BEGIN_MESSAGE_MAP(CChangePerviewDlg, CDialog)
	//{{AFX_MSG_MAP(CChangePerviewDlg)
	ON_BN_CLICKED(IDNO, OnNo)
	ON_BN_CLICKED(IDALL, OnAll)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DLG_OLDPOS(CChangePerviewDlg)

//*****************************************************************************
//*
//*		CChangePerviewDlg Dialog
//*
//*****************************************************************************
CChangePerviewDlg::CChangePerviewDlg(CWnd *pParent) : CDialog(CChangePerviewDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CChangePerviewDlg)
	//}}AFX_DATA_INIT
	m_iGrPosOld = 0;	
	m_iGrPosNew = 0;	
	m_iGreenOld = 0;	
	m_iGreenNew = 0;	
	m_iStartOld = 0;	
	m_iStartNew = 0;	
	m_iLenOld   = 0;
	m_iLenNew   = 0;
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CChangePerviewDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChangePerviewDlg)
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CChangePerviewDlg::OnInitDialog()
{
int			iLenOld;
int			iLenNew;
CRect		sSize;
CRect		sRect;
SCROLLINFO	sInfo;
BYTE	   *pColorOld;
BYTE	   *pColorNew;



	SET_DLG_OLDPOS();	

	m_cTextOld.CreateEx(WS_EX_STATICEDGE,WS_VISIBLE|LBS_NOTIFY|LBS_NOINTEGRALHEIGHT,sRect,this,ID_TEXTOLD);
	m_cTextNew.CreateEx(WS_EX_STATICEDGE,WS_VISIBLE|LBS_NOTIFY|LBS_NOINTEGRALHEIGHT,sRect,this,ID_TEXTNEW);

	m_cTextOld.SetColor(4,GetSysColor(COLOR_WINDOWTEXT),GetSysColor(COLOR_INFOBK));
	m_cTextNew.SetColor(4,GetSysColor(COLOR_WINDOWTEXT),GetSysColor(COLOR_INFOBK));
	m_cTextOld.SetColor(5,GetSysColor(COLOR_WINDOWTEXT),RGB(222,255,222));
	m_cTextNew.SetColor(5,GetSysColor(COLOR_WINDOWTEXT),RGB(222,255,222));
	

	iLenOld	  = m_sTextOld.GetLength();
	iLenNew	  = m_sTextNew.GetLength();
	pColorOld = new BYTE[iLenOld];
	pColorNew = new BYTE[iLenNew];

	memset(pColorOld,0,m_sTextOld.GetLength());
	memset(pColorNew,0,m_sTextNew.GetLength());

	memset(pColorOld+m_iGrPosOld,5,m_iGreenOld);
	memset(pColorNew+m_iGrPosNew,5,m_iGreenNew);
	
	memset(pColorOld+m_iStartOld,4,m_iLenOld);
	memset(pColorNew+m_iStartNew,4,m_iLenNew);

	m_cTextOld.AddString(m_sTextOld,pColorOld,m_sTextOld.GetLength());
	m_cTextNew.AddString(m_sTextNew,pColorNew,m_sTextNew.GetLength());

	::MoveWindow(this,ID_TEXTOLD,IDC_FRAME1);
	::MoveWindow(this,ID_TEXTNEW,IDC_FRAME2);

	
	m_cTextOld.GetClientRect(&sRect);
	m_cTextOld.GetWindowRect(&sSize);
	m_cTextOld.SetWindowPos (NULL,0,0,sSize.Width(),m_cTextOld.GetFontHeight()+sSize.Height()-sRect.Height(),SWP_NOZORDER|SWP_NOMOVE);
	m_cTextNew.GetClientRect(&sRect);
	m_cTextNew.GetWindowRect(&sSize);
	m_cTextNew.SetWindowPos (NULL,0,0,sSize.Width(),m_cTextNew.GetFontHeight()+sSize.Height()-sRect.Height(),SWP_NOZORDER|SWP_NOMOVE);


	delete pColorOld;
	delete pColorNew;

	
    sInfo.cbSize	= sizeof(SCROLLINFO); 
    sInfo.fMask		= SIF_ALL; 
    sInfo.nMin		= 0; 
    sInfo.nMax		= 0; 
    sInfo.nPage		= 1; 
    sInfo.nPos		= 0; 
    sInfo.nTrackPos	= 0; 
	
	
	m_cTextOld.SetScrollInfo(SB_VERT,&sInfo);
	m_cTextOld.SetScrollInfo(SB_HORZ,&sInfo);
	m_cTextNew.SetScrollInfo(SB_VERT,&sInfo);
	m_cTextNew.SetScrollInfo(SB_HORZ,&sInfo);



	CDialog::OnInitDialog();


return TRUE;
}


//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
//  CChangePerviewDlg message handlers
void CChangePerviewDlg::OnOK()
{
	GET_DLG_OLDPOS();
	CDialog::OnOK();
}

//*****************************************************************************
//*
//*		OnNo
//*
//*****************************************************************************
void CChangePerviewDlg::OnNo()
{
	GET_DLG_OLDPOS();
	EndDialog(IDNO);
}

//*****************************************************************************
//*
//*		OnAll
//*
//*****************************************************************************
void CChangePerviewDlg::OnAll()
{
	GET_DLG_OLDPOS();
	EndDialog(IDALL);
}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CChangePerviewDlg::OnCancel()
{
	GET_DLG_OLDPOS();
	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		SetText
//*
//*****************************************************************************
//	Einstellen der anzuzeigenden Texte
//	iMode		: 0=alter Text  1=neuer Text
//	pText?		: Zeiger auf die einzelenen Textabschnitte (1,5=weis 2,4=grnn 3=gelb)
//	iTextSize?	: Sind die Lngen der einzelenen Textabschnitte
void CChangePerviewDlg::SetText(int iMode,const char *pText1,int iTextSize1,const char *pText2,int iTextSize2,const char *pText3,int iTextSize3,const char *pText4,int iTextSize4,const char *pText5,int iTextSize5)
{
char   *pPtr;
int		iLen;
int		i;


	if(iTextSize1<0        )iTextSize1=0;
	if(iTextSize1>TEXT_MAX )iTextSize1=TEXT_MAX;
	if(iTextSize2<0        )iTextSize2=0;
	if(iTextSize2>TEXT_MAX )iTextSize2=TEXT_MAX;
	if(iTextSize3<0        )iTextSize3=0;
	if(iTextSize3>TEXT_MAX )iTextSize3=TEXT_MAX;
	if(iTextSize4<0        )iTextSize4=0;
	if(iTextSize4>TEXT_MAX )iTextSize4=TEXT_MAX;
	if(iTextSize5<0        )iTextSize5=0;
	if(iTextSize5>TEXT_MAX )iTextSize5=TEXT_MAX;

	if(iTextSize1+iTextSize2                                 >TEXT_MAX)iTextSize2=TEXT_MAX-iTextSize1;
	if(iTextSize1+iTextSize2+iTextSize3                      >TEXT_MAX)iTextSize3=TEXT_MAX-iTextSize1-iTextSize2;
	if(iTextSize1+iTextSize2+iTextSize3+iTextSize4           >TEXT_MAX)iTextSize4=TEXT_MAX-iTextSize1-iTextSize2-iTextSize3;
	if(iTextSize1+iTextSize2+iTextSize3+iTextSize4+iTextSize5>TEXT_MAX)iTextSize5=TEXT_MAX-iTextSize1-iTextSize2-iTextSize3-iTextSize4;

	switch(iMode)
		{
	case 0:	pPtr = m_sTextOld.GetBuffer(iTextSize1+iTextSize2+iTextSize3+iTextSize4+iTextSize5+1);
			
			memcpy(pPtr                                            ,pText1,iTextSize1);
			memcpy(pPtr+iTextSize1                                 ,pText2,iTextSize2);
			memcpy(pPtr+iTextSize1+iTextSize2                      ,pText3,iTextSize3);
			memcpy(pPtr+iTextSize1+iTextSize2+iTextSize3           ,pText4,iTextSize4);
			memcpy(pPtr+iTextSize1+iTextSize2+iTextSize3+iTextSize4,pText5,iTextSize5);


			m_iLenOld   = iTextSize3;
			m_iGrPosOld = iTextSize1;
			m_iStartOld = iTextSize1+iTextSize2;
			m_iGreenOld = iTextSize2+iTextSize3+iTextSize4;
			iLen		= iTextSize1+iTextSize2+iTextSize3+iTextSize4+iTextSize5;

			for(i=0;i<iLen;i++)if(pPtr[i]<' ' && pPtr[i]>=0)pPtr[i]=' ';
			pPtr[i]=0;

			m_sTextOld.ReleaseBuffer(iLen);

			break;		

	case 1:	pPtr = m_sTextNew.GetBuffer(iTextSize1+iTextSize2+iTextSize3+iTextSize4+iTextSize5+1);
			
			memcpy(pPtr                                            ,pText1,iTextSize1);
			memcpy(pPtr+iTextSize1                                 ,pText2,iTextSize2);
			memcpy(pPtr+iTextSize1+iTextSize2                      ,pText3,iTextSize3);
			memcpy(pPtr+iTextSize1+iTextSize2+iTextSize3           ,pText4,iTextSize4);
			memcpy(pPtr+iTextSize1+iTextSize2+iTextSize3+iTextSize4,pText5,iTextSize5);

			
			m_iLenNew   = iTextSize3;
			m_iGrPosNew = iTextSize1;
			m_iStartNew = iTextSize1+iTextSize2;
			m_iGreenNew = iTextSize2+iTextSize3+iTextSize4;
			iLen		= iTextSize1+iTextSize2+iTextSize3+iTextSize4+iTextSize5;

			for(i=0;i<iLen;i++)if(pPtr[i]<' ' && pPtr[i]>=0)pPtr[i]=' ';
			pPtr[i]=0;

			m_sTextNew.ReleaseBuffer(iLen);

			break;		
		}

}