//*****************************************************************************
//*
//*
//*		ChangePerviewDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_CHANGEPERVIEWDLG_H__86B104AB_7CE0_4805_93BC_9E2456B6CD4F__INCLUDED_
#define		AFX_CHANGEPERVIEWDLG_H__86B104AB_7CE0_4805_93BC_9E2456B6CD4F__INCLUDED_	

#if _MSC_VER > 1000
#pragma once
#endif

#include	"ColorListBox.h"

//*****************************************************************************
//*
//*		CChangePerviewDlg Dialog
//*
//*****************************************************************************
class CChangePerviewDlg : public CDialog
{
public:
	CChangePerviewDlg(CWnd *pParent = NULL);					// Standard Konstruktor

	//{{AFX_DATA(CChangePerviewDlg)
	enum { IDD = IDD_CHANGEPREVIEWDLG };
	//}}AFX_DATA


	void SetOldText(       const char *pText1,int iTextSize1,const char *pText2=0,int iTextSize2=0,const char *pText3=0,int iTextSize3=0,const char *pText4=0,int iTextSize4=0,const char *pText5=0,int iTextSize5=0);
	void SetNewText(       const char *pText1,int iTextSize1,const char *pText2=0,int iTextSize2=0,const char *pText3=0,int iTextSize3=0,const char *pText4=0,int iTextSize4=0,const char *pText5=0,int iTextSize5=0);
	void SetText(int iMode,const char *pText1,int iTextSize1,const char *pText2=0,int iTextSize2=0,const char *pText3=0,int iTextSize3=0,const char *pText4=0,int iTextSize4=0,const char *pText5=0,int iTextSize5=0);


	//{{AFX_VIRTUAL(CChangePerviewDlg)
protected:

	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	CColorListBox	m_cTextOld;
	CColorListBox	m_cTextNew;

	CString			m_sTextOld;									// Text der als alter Text angezeigt werden soll
	CString			m_sTextNew;									// Text der als neuer Text angezeigt werden soll
	int				m_iStartOld;								// Anfang des markierten Bereiches im alten Text
	int				m_iStartNew;								// Anfang des markierten Bereiches im nenen Text
	int				m_iGrPosOld;								// Anfang des markierten grnen Bereiches im alten Text
	int				m_iGrPosNew;								// Anfang des markierten grnen Bereiches im nenen Text
	int				m_iLenOld;									// Lnge des markierten Bereiches im alten Text
	int				m_iLenNew;									// Lnge des markierten Bereiches im nenen Text
	int				m_iGreenOld;								// Lnge des markierten grnen Bereiches im alten Text
	int				m_iGreenNew;								// Lnge des markierten grnen Bereiches im nenen Text


	//{{AFX_MSG(CChangePerviewDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnNo();
	afx_msg void OnAll();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_DLG_OLDPOS()
	DECLARE_MESSAGE_MAP()
};


//*****************************************************************************
//*
//*		Inline Funktionen
//*
//*****************************************************************************
inline void CChangePerviewDlg::SetOldText(const char *pText1,int iTextSize1,const char *pText2,int iTextSize2,const char *pText3,int iTextSize3,const char *pText4,int iTextSize4,const char *pText5,int iTextSize5){SetText(0,pText1,iTextSize1,pText2,iTextSize2,pText3,iTextSize3,pText4,iTextSize4,pText5,iTextSize5);}
inline void CChangePerviewDlg::SetNewText(const char *pText1,int iTextSize1,const char *pText2,int iTextSize2,const char *pText3,int iTextSize3,const char *pText4,int iTextSize4,const char *pText5,int iTextSize5){SetText(1,pText1,iTextSize1,pText2,iTextSize2,pText3,iTextSize3,pText4,iTextSize4,pText5,iTextSize5);}


//{{AFX_INSERT_LOCATION}}

#endif