//*****************************************************************************
//*
//*		
//*		DataFinderDoc.cpp : Implementierung der Klasse CDataFinderDoc
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DataFinder.h"
#include "DataFinderDoc.h"
#include "DataFinderView.h"



#ifdef		_DEBUG
#define new  DEBUG_NEW
#undef		 THIS_FILE
static char  THIS_FILE[] = __FILE__;
#endif


IMPLEMENT_DYNCREATE(CDataFinderDoc, CDocument)

BEGIN_MESSAGE_MAP(CDataFinderDoc, CDocument)
	//{{AFX_MSG_MAP(CDataFinderDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CDataFinderDoc::CDataFinderDoc()
{
}


//*****************************************************************************
//*
//*		Destruktor
//*
//*****************************************************************************
CDataFinderDoc::~CDataFinderDoc()
{
}


//*****************************************************************************
//*
//*		OnNewDocument
//*
//*****************************************************************************
BOOL CDataFinderDoc::OnNewDocument()
{

	if(!CDocument::OnNewDocument())
		{
		return FALSE;
		}

return TRUE;
}




//*****************************************************************************
//*
//*		Serialize
//*
//*****************************************************************************
void CDataFinderDoc::Serialize(CArchive &sArchive)
{
	if(sArchive.IsStoring())
		{
		}
	else{
		}
}


//*****************************************************************************
//*
//*		Debug Funktionen
//*
//*****************************************************************************
#ifdef _DEBUG
void CDataFinderDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CDataFinderDoc::Dump(CDumpContext &dc) const
{
	CDocument::Dump(dc);
}
#endif



//*****************************************************************************
//*
//*		OnOpenDocument
//*
//*****************************************************************************
BOOL CDataFinderDoc::OnOpenDocument(LPCTSTR pPathName) 
{
CDataFinderView	*pView;
char			 cBuffer[MAX_PATH];
int				 iPos;
int				 iNum;


	GET_VIEW(pView,CDataFinderView);
	if(!pView)return TRUE;


	if(ExistFile(pPathName)>=2)
		{
		if(pPathName[0]=='\\')							// Statischen Eintrag bei Netzpfaden
		if(pPathName[1]=='\\')
			{
			pView->AddNetPath(pPathName);
			}

		pView->SetPath(pPathName);
		return TRUE;
		}
	
	
	if(pPathName[0]=='\\' && pPathName[1]=='\\')
		{
		for(iPos=2,iNum=0;pPathName[iPos];iPos++)
			{
			if(pPathName[iPos]=='\\')iNum++;
			if(pPathName[iPos]=='/' )iNum++;
			}

		if(iNum<=1)
			{
			pView->SetPath(pPathName);
			return 1;
			}
		}

	GetFilePath(cBuffer,pPathName,sizeof(cBuffer));
	pView->SetPath(cBuffer);

	
return TRUE;
}

//*****************************************************************************
//*
//*		SetFilter
//*
//*****************************************************************************
//	Stellt den Filter fr den Startup ein
void CDataFinderDoc::SetFilter(LPCTSTR pPlus,LPCTSTR pMinus,int iSubDir) 
{
CDataFinderView	*pView;


	GET_VIEW(pView,CDataFinderView);
	if(!pView)return;

	pView->AddFiles(0,pPlus,pMinus,iSubDir);

}