//*****************************************************************************
//*
//*		
//*		FindSameDlg.h : Header-Datei
//*		
//*
//*****************************************************************************
#if !defined(AFX_FINDSAMEDLG_H__49C4284D_F156_4A0D_B8E5_AAF733536EFB__INCLUDED_)
#define      AFX_FINDSAMEDLG_H__49C4284D_F156_4A0D_B8E5_AAF733536EFB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

#include	"StringChain.h"

//*****************************************************************************
//*
//*		Dialogfeld CFindSameDlg 
//*
//*****************************************************************************
class CFindSameDlg : public CDialog
{
public:
	
	CFindSameDlg(CWnd *pParent = NULL);   // Standardkonstruktor
	int	AddFile(LPCSTR File,int Size=-1);

	//{{AFX_DATA(CFindSameDlg)
	enum { IDD = IDD_FINDSAMEDLG };
		// HINWEIS: Der Klassen-Assistent fgt hier Datenelemente ein
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CFindSameDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);    // DDX/DDV-Untersttzung
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	void GetFileInfo(LPCSTR File,LPSTR Info);

	static UINT _cdecl ThreadProc(void *Param);
	       UINT        ThreadProc();

	//{{AFX_MSG(CFindSameDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete1();
	afx_msg void OnDelete2();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

	CImageList		image;
	CStringChain	files;
	int				find_count;
	int				exit_code;
	volatile int	exit,next;
	int				max_x;
	BYTE			csize[256];

};

//{{AFX_INSERT_LOCATION}}

#endif
