//*****************************************************************************
//*
//*
//*		RenameDlg.h : Header-Datei
//*
//*
//*****************************************************************************
#if !defined(AFX_RENAMEDLG_H__62207721_A49E_11D5_B46C_00E07D86939E__INCLUDED_)
#define      AFX_RENAMEDLG_H__62207721_A49E_11D5_B46C_00E07D86939E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

#include	"SemaphoreEx.h"

class		CFileListCtrl;


//*****************************************************************************
//*
//*		Dialogfeld CRenameDlg
//*
//*****************************************************************************
class CRenameDlg : public CDialog
{

public:

	CRenameDlg(CWnd *pParent = NULL);   // Standardkonstruktor
   ~CRenameDlg();

	//{{AFX_DATA(CRenameDlg)
	enum { IDD = IDD_RENAMEDLG };
	CProgressCtrl	m_cProgress;
	CString	m_sFormat;
	CString	m_sNewName;
	CString	m_sOldName;
	BOOL	m_bOnlyFilter;
	BOOL	m_bOutAsFilter;
	BOOL	m_bAllowPoints;
	//}}AFX_DATA

	char	m_cPath [256];
	char	m_cPathT[256];
	char	m_cError[256];

	CFileListCtrl	*m_pFileList;

	//{{AFX_VIRTUAL(CRenameDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL



protected:

	BYTE			m_bFontSize[256];
	int				m_iRenameCount;
	int				m_iSameCount;
	int				m_iWndSize;
	int				m_iErrForm;
	int				m_iError;
	int	volatile	m_iPos;
	volatile BOOL	m_bStop;
	volatile BOOL	m_bAll;
	volatile BOOL	m_bEnd;
	volatile BOOL	m_bError;
	volatile BOOL	m_bIgnore;
	volatile BOOL	m_bUpdate;
	HIMAGELIST		m_hImageList;
	CWnd           *m_hIconWnd;
	HBRUSH			m_hBrush;
	CSemaphoreNull	m_cWait;

	static UINT _cdecl RenameProc(void *Param);
		   UINT        RenameProc();


	//{{AFX_MSG(CRenameDlg)
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnAll();
	afx_msg void OnNext();
	afx_msg void OnError();
	afx_msg void OnIgnore();
	afx_msg void OnClickFilter();
	afx_msg void OnChangeEdit1();
	afx_msg void OnChangeFormat();
	afx_msg void OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg HBRUSH OnCtlColor( CDC *pDC, CWnd *pWnd, UINT nCtlColor );
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

	int FindFormatPosition(int iLast);
	int CheckFormat(LPCTSTR pFormat);

public:

	inline	void Break(){m_bStop=1;};
};

//{{AFX_INSERT_LOCATION}}

#endif
