//*****************************************************************************
//*
//*
//*		TextDlg.h
//*
//*
//*****************************************************************************
#if !defined(AFX_VIEWDLG_H__81388878_D71A_4A51_9231_CC4553640044__INCLUDED_)
#define      AFX_VIEWDLG_H__81388878_D71A_4A51_9231_CC4553640044__INCLUDED_

#include	"Resource.h"
#include	"TextMessage.h"
#include	"StringChain.h"
#include	"RegKeys.h"

#if				_MSC_VER >= 1000
#pragma once
#endif		//  _MSC_VER >= 1000


#define 	FLAG_FIND_MULTILINNE	0x0200
#define 	FLAG_FIND_USE_RESULTS	0x0400


//*****************************************************************************
//*
//*		Klasse fr Suchen-Dialog
//*
//*****************************************************************************
class CTextFindDlg : public CDialog
{
public:

	//{{AFX_DATA(CTextFindDlg)
	enum { IDD = IDD_TEXT_FINDDLG };	// Dialog ID-Nummer
	//}}AFX_DATA(CTextFindDlg)

			CTextFindDlg(CWnd *Parent = NULL);
   	INT_PTR	DoModal(const char *Text=0);
	int		GetText(char *Puffer,int Max);
	char   *GetText();
	int		GetFlags();
	int		GetLines();
	void 	SetFlags(int Flags);
	void 	SetLines(int Lines);
	void 	SetListMode(int Mode);

protected:

	static	CStringChain	auswahl;	// Zuletzt gesuchte Texte
	static	BOOL			init;		// Wurden die Registry Daten geladen ?
	static	int				flags;		// Suchen Flags
	static	int				count;		// Fenster Zhler
	static	int				lines;		// Zeilenanzahl fr Mult-Line-Suche

	CString					text;		// Zusuchender Text
	CString					line_str;	// Zeilenanzahl fr Mult-Line-Suche

	int				wort;				// Ganze Wrter suchen
	int				ausdruck;			// Regulren Ausdruck suchen
	int				grosklein;			// Gros/Kleinschreibung ignorieren
	int				multi_line;			// Multi-Line Suche
	int				use_results;		// In der Ergebnissliste suchen
	int				allow_results;		// Kann die Ergebnissliste gewhlt werden


	//{{AFX_VIRTUAL(CTextFindDlg)
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange *pDX);
	afx_msg void OnDestroy();
	afx_msg void OnCancel();
	afx_msg void OnSelect();
	afx_msg void OnFind();
	afx_msg void OnClick();
	afx_msg void OnMenu(UINT Id);
	//}}AFX_VIRTUAL(CTextFindDlg)


	void Init();
	void Exit();

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

};

inline	int	 CTextFindDlg::GetFlags(){return flags;}
inline	void CTextFindDlg::SetFlags(int Flags){flags=Flags;}
inline	int	 CTextFindDlg::GetLines(){return lines;}
inline	void CTextFindDlg::SetLines(int Lines){lines=Lines;}
inline	void CTextFindDlg::SetListMode(int Mode){allow_results=(Mode&1);}

///*****************************************************************************
//{{AFX_INSERT_LOCATION}}

#endif
