//*****************************************************************************
//*
//*		
//*		ZipDlg.h
//*
//*
//*****************************************************************************
#ifndef AFX_ZIPDLG_H__DE748F76_E50F_497C_8D94_627C22370C99__INCLUDED_
#define AFX_ZIPDLG_H__DE748F76_E50F_497C_8D94_627C22370C99__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

class	CFileListCtrl;

//*****************************************************************************
//*
//*		Dialogfeld CZipDlg 
//*
//*****************************************************************************
class CZipDlg : public CDialog
{

public:
	
	CZipDlg(CWnd *pParent = NULL);   // Standardkonstruktor

	//{{AFX_DATA(CZipDlg)
	enum { IDD = IDD_ZIPDLG };
	CString	m_sZipFile;
	CString	m_sBasePath;
	CString	m_sAddPath;
	CString	m_sPathChanged;
	CString	m_sBaseChanged;
	BOOL	m_bOnlyChanged;
	BOOL	m_bOnlySelected;
	//}}AFX_DATA

	CFileListCtrl	*m_pFileList;

	//{{AFX_VIRTUAL(CZipDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	static	int  _cdecl Progress(void *pParam,int iArt,int iSub,CArchiveFile *pZip,char *pText); 
			int         Progress(             int iArt,int iSub,CArchiveFile *pZip,char *pText);

	static	UINT _cdecl ZipProc(void *pParam);
			UINT        ZipProc();

	BOOL			m_bOnly;
	char			m_cText[256];
	unsigned		m_uSize;
	unsigned		m_uSizeMax;
	int				m_iSetText;
	int				m_iStop;
	int				m_iScanReady;
	CString			m_sZipCreate;
	CString			m_sAddCreate;
	CString			m_sMessage;
	CSemaphore	   *m_pSemaphore;
	CProgressCtrl  *m_pProgress;

	//{{AFX_MSG(CZipDlg)
	afx_msg void OnFileName();
	afx_msg void OnComparePath();
	afx_msg void OnCompareBase();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDestroy();
	afx_msg void OnMessage();
	afx_msg void OnReady();
	afx_msg void OnStart();
	afx_msg void OnExit();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnCheck2();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

};

//{{AFX_INSERT_LOCATION}}

#endif
