//*****************************************************************************
//*
//*
//*		AendernDlg.cpp: Implementierungsdatei
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DataFinder.h"
#include "AendernDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


#define 	ID_TEXT_ANF		0x1691
#define 	ID_TEXT_ANZ		18


BEGIN_MESSAGE_MAP(CTextChangeDlg, CDialog)
	//{{AFX_MSG_MAP(CTextChangeDlg)
	ON_BN_CLICKED(IDC_BUTTON2, OnInsert)
	ON_BN_CLICKED(IDC_SINGLE, OnSingle)
	ON_COMMAND_RANGE(ID_TEXT_ANF,ID_TEXT_ANF+ID_TEXT_ANZ,OnMenu)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_RADIO1, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO2, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO3, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO4, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO5, OnChangeMode)
END_MESSAGE_MAP()

DLG_OLDPOS(CTextChangeDlg)



typedef	struct
	{
	char *text;
	int	  id;
	}MenuItem;


static MenuItem	TextMenu[]={
		{	"Beliebige  Zeichen&folge",    		2	},
        {	"&Wort",                       		3	},
        {	"&Zahl",                       		4	},
        {	"&Leerraum",                   		5	},
        {	"Leer&raum oder ""(null)""",   		6	},
        {	"",							   		0	},
        {	"Zeilen&anfang",               		7	},
        {	"Zeilen&ende",                		8	},
        {	"Wortende",                    		12	},
        {	"Wortanfang",                  		11	},
        {	"",							   		0	},
        {	"Zeichen Aus&wahl",            		14	},
        {	"Zeichen Auswahl oder \"(null)\"",	15	},
        {	"Zeichenketten Auswahl",			16	},
		{	"Zeichenketten ohne |...|",			18	},
		{	"Zeichen nicht aus {...}",			17	},
        {	"",									0	},
        {	"Beliebiges &Zeichen",         		1	},
        {	"Buchstabe",                   		13	},
        {	"Einzelne Zahl",               		9	},
        {	"Zahl oder Buchstabe",         		10	},
		{0}};

//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CTextChangeDlg::CTextChangeDlg(CWnd *pParent) : CDialog(CTextChangeDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CTextChangeDlg)
	text = _T("");
	length = _T("");
	sezial = FALSE;
	mode = 0;
	//}}AFX_DATA_INIT
	len=0;
	anz=0;
	find_mode=0;
	single=0;
}



//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CTextChangeDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTextChangeDlg)
	DDX_CBString(pDX, IDC_COMBO1, text);
	DDX_CBString(pDX, IDC_COMBO2, length);
	DDX_Check(pDX, IDC_CHECK1, sezial);
	DDX_Radio(pDX, IDC_RADIO1, mode);
	//}}AFX_DATA_MAP

	SetDlgItemText(IDC_TEXT, (mode>2)? "Offset Suchstring :":"Offset :");
	EnableDlgItem(IDC_BUTTON2,mode>2);
	EnableDlgItem(IDC_COMBO2 ,mode);
}



//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CTextChangeDlg::OnInitDialog()
{
CComboBox	*cb;
CRegKeys	 key;
char		*daten;
int			 x;


	SET_DLG_OLDPOS()

	single=0;

	cb=(CComboBox*)GetDlgItem(IDC_COMBO1);

	   key.Open();
	   key.Get(sezial,"SpecialChars");
	   key.Get(length,"ChangeLength");
	   key.Get(mode  ,"ChangeMode"  );
	   key.Get(single,"SingleMode"  );
	if(key.Get((void**)&daten,"ChangeStrings",REG_MULTI_SZ))
		{
		kette1.Add(&daten);
		kette1.ContainerInit();
		delete daten;
		}

	if(single)
		{
		SetDlgDefID(IDC_SINGLE);
		single=0;
		}


	for(x=0;x<kette1.Count();x++)
		{
		cb->AddString(kette1[x]);
		}
	
	if(x)
		{
		cb->SetCurSel(0);
		text=kette1[0];
		}

	cb=(CComboBox*)GetDlgItem(IDC_COMBO2);

	if(key.Get((void**)&daten,"OffsetStrings",REG_MULTI_SZ))
		{
		kette2.Add(&daten);
		kette2.ContainerInit();
		delete daten;
		}

	for(x=0;x<kette2.Count();x++)
		{
		cb->AddString(kette2[x]);
		}
	if(x)
		{
		cb->SetCurSel(0);
		length=kette2[0];
		}


	EnableDlgItem(IDC_CHECK1,!find_mode);
	SetDlgItemText(IDC_TITLE,(find_mode)? "ndern in :   (Text,Hexdump,Zahl)":"ndern in :   (Text)");

	if(find_mode)
		{
		if(mode>1)mode=1;
		GetDlgItem(IDC_RADIO3)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO4)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO5)->EnableWindow(FALSE);
		}

	CDialog::OnInitDialog();

return TRUE;
}


//*****************************************************************************
//*
//*		OnInsert
//*
//*****************************************************************************
void CTextChangeDlg::OnInsert()
{
int		x;
RECT	reck;
CMenu	menu;			// Men fr Suche

	menu.CreatePopupMenu();


	for(x=0;TextMenu[x].text;x++)
		{
		if(TextMenu[x].id)
			{
			menu.AppendMenu(MF_STRING,ID_TEXT_ANF+TextMenu[x].id-1,TextMenu[x].text);
			}
		else{
			menu.AppendMenu(MF_SEPARATOR);
			}
		}

	GetDlgItem(IDC_BUTTON2)->GetWindowRect(&reck);
	menu.TrackPopupMenu(TPM_LEFTALIGN,reck.right,reck.top,this);
	menu.DestroyMenu();

}


//*****************************************************************************
//*
//*		OnChangeMode
//*
//*****************************************************************************
void CTextChangeDlg::OnChangeMode()
{
	UpdateData();
}

//*****************************************************************************
//*
//*		OnMenu
//*
//*****************************************************************************
void CTextChangeDlg::OnMenu(UINT Art)
{
CComboBox  *edit;
char 		puffer[256],temp[280];
int			len,pos;


	Art-=ID_TEXT_ANF-1;

		edit=(CComboBox*)GetDlgItem(IDC_COMBO2);
		edit->GetWindowText(puffer,255);puffer[255]=0;
	pos=edit->GetEditSel()&0xFFFF;



	   len=strlen(puffer);
	if(len<pos)pos=len;

	memcpy(temp,puffer,pos);

	switch(Art)
			{
	case 1:	strcpy(temp+pos,"?");			break;
	case 2:	strcpy(temp+pos,"*");			break;
	case 3:	strcpy(temp+pos,"\\w");			break;
	case 4:	strcpy(temp+pos,"\\z");			break;
	case 5:	strcpy(temp+pos,"\\_");			break;
	case 6:	strcpy(temp+pos,"\\.");			break;
	case 7:	strcpy(temp+pos,"\\a");			break;
	case 8:	strcpy(temp+pos,"\\e");			break;
	case 9:	strcpy(temp+pos,"\\p");			break;
	case 10:strcpy(temp+pos,"\\o");			break;
	case 11:strcpy(temp+pos,"\\g");			break;
	case 12:strcpy(temp+pos,"\\f");			break;
	case 13:strcpy(temp+pos,"\\m");			break;
	case 14:strcpy(temp+pos,"\\[]");		break;
	case 15:strcpy(temp+pos,"\\()");		break;
	case 16:strcpy(temp+pos,"\\<>");		break;
	case 17:strcpy(temp+pos,"\\{}");		break;
	case 18:strcpy(temp+pos,"\\||");		break;
			}

	len =strlen(temp+pos)+pos;
		 strcpy(temp+len,puffer+pos);

	if(Art>=14)len--;

	UpdateData(FALSE);
	edit->SetWindowText(temp);
	edit->SetFocus();
	edit->SetEditSel(len,len);

}


//*****************************************************************************
//*
//*		OnSingle
//*
//*****************************************************************************
void CTextChangeDlg::OnSingle()
{

	single=1;
	OnOK();

}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CTextChangeDlg::OnCancel()
{

	GET_DLG_OLDPOS()
	CDialog::OnCancel();

}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CTextChangeDlg::OnOK()
{
CComboBox	*cb;
CRegKeys	 key;
char		*daten;
char		*texte;
int			 x,y;


	GET_DLG_OLDPOS()

	UpdateData();

	if(!text  .IsEmpty())kette1.CAdd(text);
	if(!length.IsEmpty())kette2.CAdd(length);

	cb=(CComboBox*)GetDlgItem(IDC_COMBO1);
	x=kette1.Chain(&daten);

	cb=(CComboBox*)GetDlgItem(IDC_COMBO2);
	y=kette2.Chain(&texte);


	key.Open();
	key.Set(sezial,"SpecialChars");
	key.Set(length,"ChangeLength");
	key.Set(mode  ,"ChangeMode"  );
	key.Set(single,"SingleMode"  );
	key.Set((void*)daten,x,"ChangeStrings",REG_MULTI_SZ);
	key.Set((void*)texte,y,"OffsetStrings",REG_MULTI_SZ);

	delete daten;
	delete texte;

	len=atoi(length);
	anz=length.GetLength();


CDialog::OnOK();
}

