//*****************************************************************************
//*
//*		
//*		CmpFileDlg.cpp: Implementierungsdatei
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DataFinder.h"
#include "CmpFileDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif
	   
		    

BEGIN_MESSAGE_MAP(CCmpFileDlg, CDialog)
	//{{AFX_MSG_MAP(CCmpFileDlg)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDALL, OnAll)
	ON_BN_CLICKED(IDCOPY, OnCopy)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DLG_OLDPOS(CCmpFileDlg)


//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CCmpFileDlg::CCmpFileDlg(CWnd *pParent)	: CDialog(CCmpFileDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CCmpFileDlg)
	//}}AFX_DATA_INIT
}



//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CCmpFileDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CCmpFileDlg)
	//}}AFX_DATA_MAP

}

//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CCmpFileDlg::OnInitDialog() 
{

	SET_DLG_OLDPOS()
	
	CDialog::OnInitDialog();

	end_dialog = FALSE;	
	
		ptr1=map1.Open(path1);
	if(!ptr1)
		{
		CString text;
		text.Format("Fehler beim ffnen von\n%s",(LPCSTR)path1);
		MessageBox(text,"Dateien vergleichen",MB_OK|MB_ICONERROR);
		EndDialog(IDCANCEL);
		return FALSE;
		}

		ptr2=map2.Open(path2);
	if(!ptr2)
		{
		CString text;
		text.Format("Fehler beim ffnen von\n%s",(LPCSTR)path2);
		MessageBox(text,"Dateien vergleichen",MB_OK|MB_ICONERROR);
		EndDialog(IDCANCEL);
		return FALSE;
		}

	len1=map1.GetLength();
	len2=map2.GetLength();

	if(len1!=len2)
		{
		CString text;
		text.Format("Die beiden Dateien\n%s\nund\n%s\n"
					"sind nicht gleich gro !",(LPCSTR)path1,(LPCSTR)path2);
		MessageBox(text,"Dateien vergleichen",MB_OK|MB_ICONERROR);
		EndDialog(IDCANCEL);
		return FALSE;
		}

	SetDlgItemText(IDC_FILE1,path1);
	SetDlgItemText(IDC_FILE2,path2);
	brush.CreateSolidBrush(RGB(255,255,155));

	stop=0;all=0;
	EnableDlgItem(IDOK,0);
	AfxBeginThread(CmpProc,this);
	
return TRUE;  
}


//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CCmpFileDlg::OnOK() 
{

	GET_DLG_OLDPOS()

	next=1;

	if(end_dialog)CDialog::OnOK();
}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CCmpFileDlg::OnCancel() 
{
	
	GET_DLG_OLDPOS()
	
	stop=1;

	if(end_dialog)CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnAll
//*
//*****************************************************************************
void CCmpFileDlg::OnAll() 
{
	all=1;
}


//*****************************************************************************
//*
//*		CmpProc
//*
//*****************************************************************************
UINT _cdecl CCmpFileDlg::CmpProc(void *Param)
{
return ((CCmpFileDlg*)Param)->CmpProc();
}
UINT CCmpFileDlg::CmpProc()
{
unsigned	 pos=0,ungleich=0,wo,anz,x;
char		 text[256];


	while(!stop)
		{
		if(pos>=len1)break;

		if(ptr1[pos]==ptr2[pos])				// Gleich
			{
			pos++;
			continue;
			}
		
		ungleich++;
		
		text[0]=' ';		
		itostr(pos,text+1,0x4601);				// Position
		strcpy(text+9," / ");
		itoa(pos,text+12,10);
		SetDlgItemText(IDC_POS,text);

		if(!all)
			{
			itostr(ptr1[pos],text+1,0x4201);	// Daten von Datei 1
			SetDlgItemText(IDC_BYTE1,text);
			
			memset(text,' ',64);
			wo =pos&~0x07;
			anz=8;
			if(wo+anz>len1)anz=len1-wo;
			htostr(&wo    ,text+1 ,3  ,HEX_INVERT);
			htostr(ptr1+wo,text+9 ,anz);
			memcpy(text+35,ptr1+wo,anz);
			for(x=0;x<anz;x++)if(text[x+35]<' ' && text[x+35]>=0)text[x+35]='.';
			text[43]=0;
			SetDlgItemText(IDC_HEX1,text);

			itostr(ptr2[pos],text+1,0x4201);	// Daten von Datei 2
			SetDlgItemText(IDC_BYTE2,text);
			
			memset(text,' ',64);					
			wo =pos&~0x07;
			anz=8;
			if(wo+anz>len2)anz=len2-wo;
			htostr(&wo    ,text+1 ,3  ,HEX_INVERT);
			htostr(ptr2+wo,text+9 ,anz);
			memcpy(text+35,ptr2+wo,anz);
			for(x=0;x<anz;x++)if(text[x+35]<' ' && text[x+35]>=0)text[x+35]='.';
			text[43]=0;
			SetDlgItemText(IDC_HEX2,text);
			}

		itoa(ungleich,text,10);
		SetDlgItemText(IDC_ANZ,text);
		
		text[0]=' ';							// Listbox fllen
		itostr(ptr1[pos],text+1,0x4201);		
		text[5]=' ';
		itostr(ptr2[pos],text+6,0x4201);
		text[10]=' ';
		itostr(pos,text+11,0x4601);				
		strcpy(text+19," / ");
		itoa(pos,text+22,10);
		if(ungleich<1000)((CListBox*)GetDlgItem(IDC_LIST1))->AddString(text);

		next=0;

		if(!all)
			{	
			EnableDlgItem(IDOK ,1);				// Warte auf ok
			EnableDlgItem(IDALL,1);
			while(!next && !stop && !all)Sleep(100);
			EnableDlgItem(IDALL,0);
			EnableDlgItem(IDOK ,0);
			}

		pos++;
		}

	map1.Close(); 
	map2.Close();

	if(!stop)
		{
		if(!ungleich)MessageBox("Die Dateien sind gleich.");
		else{
			CString	str;
			str.Format("Es wurden %i Unterschiede gefunden.",ungleich);
			MessageBox(str);
			} 
		}

	if(all && !stop && ungleich)
		{
		EnableDlgItem(IDOK,1);
		while(!stop && !next)Sleep(100);
		}

	end_dialog = TRUE;	
	PostMessage(WM_COMMAND,(stop)? IDCANCEL:IDOK);

return 0;
}




//*****************************************************************************
//*
//*		OnCtlColor
//*
//*****************************************************************************
HBRUSH CCmpFileDlg::OnCtlColor(CDC *pDC, CWnd *pWnd, UINT nCtlColor) 
{
WORD	id;


	id=(WORD)GetWndId(pWnd);

	if(id != IDC_LIST1 )
	if(id != IDC_BYTE1 )
	if(id != IDC_BYTE2 )
	if(id != IDC_HEX1  )
	if(id != IDC_HEX2  )
	if(id != IDC_POS   )
	if(id != IDC_ANZ   )
		{
		return CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
		}


	pDC->SelectStockObject(ANSI_FIXED_FONT);
	pDC->SetBkColor(RGB(255,255,155));


return brush;
}



//*****************************************************************************
//*
//*		OnCopy
//*
//*****************************************************************************
void CCmpFileDlg::OnCopy() 
{
CString		text,str;
CListBox   *lb;
int			x,max;	
	

	lb=(CListBox*)GetDlgItem(IDC_LIST1);	
	max=lb->GetCount();

	for(x=0;x<max;x++)
		{
		lb->GetText(x,str);
		text+=str;
		text+="\r\n";
		}

	SetClipboardText(text);

	
}
