//*****************************************************************************
//*
//*
//*		DataFinderDlg.cpp: Implementierungsdatei
//*
//*
//*****************************************************************************

#include "StdAfx.h"
#include "Resource.h"
#include "DataFinderDlg.h"

#ifdef		_DEBUG
#define new  DEBUG_NEW
#undef		 THIS_FILE
static char  THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CDataFinderDlg, CDialog)
	//{{AFX_MSG_MAP(CDataFinderDlg)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_RADIO4, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO5, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO6, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO7, OnUpdateTime)
	ON_BN_CLICKED(IDC_RADIO8, OnUpdateTime)
	ON_BN_CLICKED(IDC_BUTTON1,OnSetNow)
END_MESSAGE_MAP()

DLG_OLDPOS(CDataFinderDlg)



//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CDataFinderDlg::CDataFinderDlg(CWnd *pParent): CDialog(CDataFinderDlg::IDD,pParent)
{

	//{{AFX_DATA_INIT(CDataFinderDlg)
	path		= _T("");
	plus		= _T("");
	minus		= _T("");
	timestr		= _T("");
	unterverz	= TRUE;
	clearlist	= FALSE;
	prodect		= 0;
	timemode	= 0;
	//}}AFX_DATA_INIT

	timevalue=0;

}



//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CDataFinderDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDataFinderDlg)
	DDX_CBString(pDX, IDC_COMBO1, path);
	DDX_CBString(pDX, IDC_COMBO2, plus);
	DDX_CBString(pDX, IDC_COMBO3, minus);
	DDX_Check   (pDX, IDC_CHECK1, unterverz);
	DDX_Check   (pDX, IDC_CHECK2, clearlist);
	DDX_Radio   (pDX, IDC_RADIO1, prodect);
	DDX_Radio   (pDX, IDC_RADIO4, timemode);
	DDX_Text    (pDX, IDC_EDIT1,  timestr);
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CDataFinderDlg::OnInitDialog()
{
CRegKeys	key;
char	   *str;
int			x;


	SET_DLG_OLDPOS()

	key.Open(0,CRK_READ);
	key.Get(unterverz,"SubDirs"        );
	key.Get(clearlist,"ClearList"      );
	key.Get(prodect  ,"WriteProtection");
	key.Get(timemode ,"TimeMode"       );
	key.Get(timestr  ,"TimeString"     );

	if(!timevalue && timestr=="")
		{
		timevalue=time(0);
		}

	if(timevalue)
		{
		char str[32]=" ";
		strtimeset(str+1,timevalue,STR_DATE|STR_ABC|STR_LONG|STR_ADD_SPACE|STR_TIME|STR_SEC);
		timestr=str;
		}


	CDialog::OnInitDialog();


	SubclassComboBox(this,IDC_COMBO1,SCB_DROPFILE);

	cbpath  = (CComboBox*)GetDlgItem(IDC_COMBO1);
	cbplus  = (CComboBox*)GetDlgItem(IDC_COMBO2);
	cbminus	= (CComboBox*)GetDlgItem(IDC_COMBO3);

	key.Get((void**)&str,"FindPath",REG_MULTI_SZ );
	if(str)
		{
		skpath.Add(&str);
		skpath.ContainerInit();
		for(x=0;x<skpath.Count();x++)cbpath->InsertString(x,skpath[x]);
		if(path=="")cbpath->SetCurSel(0);
		delete str;
		}

	key.Get((void**)&str,"FilterPlus",REG_MULTI_SZ );
	if(str)
		{
		skplus.Add(&str);
		skplus.ContainerInit();
		for(x=0;x<skplus.Count();x++)cbplus->InsertString(x,skplus[x]);
		if(plus=="")cbplus->SetCurSel(0);
		delete str;
		}

	key.Get((void**)&str,"FilterMinus",REG_MULTI_SZ );
	if(str)
		{
		skminus.Add(&str);
		skminus.ContainerInit();
		for(x=0;x<skminus.Count();x++)cbminus->InsertString(x,skminus[x]);
		if(minus=="")cbminus->SetCurSel(0);
		delete str;
		}


	OnUpdateTime();


return TRUE;
}

//*****************************************************************************
//*
//*		OnUpdateTime
//*
//*****************************************************************************
void CDataFinderDlg::OnUpdateTime()
{

	UpdateData();
	GetDlgItem(IDC_EDIT1)->EnableWindow(timemode!=0);

}

//*****************************************************************************
//*
//*		OnSetNow
//*
//*****************************************************************************
void CDataFinderDlg::OnSetNow()
{
char	text[64]=" ";



	strtimeset(text+1,time(0),STR_DATE|STR_ABC|STR_LONG|STR_ADD_SPACE|STR_TIME|STR_SEC);
	SetDlgItemText(IDC_EDIT1,text);


}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CDataFinderDlg::OnCancel()
{

	GET_DLG_OLDPOS()
	CDialog::OnCancel();

}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CDataFinderDlg::OnOK()
{
CRegKeys	key;
char	   *str;
int			x;


	GET_DLG_OLDPOS()

	UpdateData();


	key.Open();
	skpath .CAdd(path);
	skplus .CAdd(plus);
	skminus.CAdd(minus);

	x=skpath.Chain(&str);
	key.Set(str,x,"FindPath",REG_MULTI_SZ );
	delete str;

	x=skplus.Chain(&str);
	key.Set(str,x,"FilterPlus",REG_MULTI_SZ );
	delete str;

	x=skminus.Chain(&str);
	key.Set(str,x,"FilterMinus",REG_MULTI_SZ );
	delete str;

	key.Set(unterverz,"SubDirs"        );
	key.Set(clearlist,"ClearList"      );
	key.Set(prodect  ,"WriteProtection");
	key.Set(timemode ,"TimeMode"       );
	key.Set(timestr  ,"TimeString"     );


	timevalue = strtoutc(timestr);



CDialog::OnOK();
}




