//*****************************************************************************
//*
//*		
//*		ExecConfigDlg.h
//*
//*
//*****************************************************************************
#if !defined(AFX_EXECCONFIGDLG_H__9C4492C1_594A_11D6_B469_00E07D86939E__INCLUDED_)
#define      AFX_EXECCONFIGDLG_H__9C4492C1_594A_11D6_B469_00E07D86939E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif


#define 	 MENU_REG_PATH	"Executes"

//*****************************************************************************
//*
//*		Dialogfeld CExecConfigDlg 
//*
//*****************************************************************************
// Dialogfeld CExecConfigDlg 
class CExecConfigDlg : public CDialog
{
public:
	CExecConfigDlg(CWnd *pParent = NULL);   // Standardkonstruktor

	//{{AFX_DATA(CExecConfigDlg)
	enum { IDD = IDD_EXECCFGDLG };
	BOOL	m_shell;
	BOOL	m_nowait;
	BOOL	m_usepath;
	BOOL	m_command;
	int		m_menuentry;
	CString	m_program;
	CString	m_parameter;
	CString	m_directory;
	CString	m_outstream;
	int		m_selectentry;
	int		m_show;
	//}}AFX_DATA


	CString	m_filetype;

	//{{AFX_VIRTUAL(CExecConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CExecConfigDlg)
	afx_msg void OnNewMenu();
	afx_msg void OnNewEntry();
	afx_msg void OnDelete();
	afx_msg void OnEntryUp();
	afx_msg void OnPath();
	afx_msg void OnDir();
	afx_msg void OnParam();
	afx_msg void OnStream();
	afx_msg void OnCheck();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelChange();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelChangeCombo();
	afx_msg void OnEntryDown();
	afx_msg void OnDeleteMenu();
	afx_msg void OnDestroy();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_DLG_OLDPOS()

	void DelMenu(int Nr);
	void SaveMenu(int Nr);
	void ScanMenus();
	void ScanEntry(int Nr);
	void SelectEntry(int Nr);
	void OnParamMenu(UINT nID);
	void OnStreamMenu(UINT nID);
	

	CStringChain	menu_items;	
	int				menu_sel;
	int				entry_count;
	int				entry_sel;

	struct	
		{
		BOOL	m_shell;
		BOOL	m_nowait;
		BOOL	m_usepath;
		BOOL	m_command;
		int		m_menuentry;
		char 	m_program  [MAX_PATH];
		char 	m_parameter[MAX_PATH];
		char 	m_directory[MAX_PATH];
		char 	m_outstream[MAX_PATH];
		int		m_selectentry;
		int		m_show;
		}entrys[32];

};

//{{AFX_INSERT_LOCATION}}

#endif
