//*****************************************************************************
//*
//*
//*		DIALOGFELD FR SUCHEN
//*
//*
//*****************************************************************************
#include  "StdAfx.h"
#include  "HexDlg.h"
#include  "AfxMacros.h"
#include  "StringFunctions.h"






BEGIN_MESSAGE_MAP(CHexFindDlg, CDialog)
	//{{AFX_MSG_MAP(HexSuchenDlg)
	ON_CBN_EDITCHANGE( IDC_COMBO1  ,OnInputCheck)
	ON_LBN_SELCHANGE ( IDC_COMBO1  ,OnInputCheck)
	ON_BN_CLICKED    ( IDC_INPUT1  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT2  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT3  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT4  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT5  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT6  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_INPUT7  ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_VAR1    ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_VAR2    ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_VAR3    ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_VAR4    ,OnInputConvert)
	ON_BN_CLICKED    ( IDC_CHECK3  ,Eingabe)
	ON_BN_CLICKED    ( IDC_CHECK4  ,Eingabe)
	ON_BN_CLICKED    ( IDC_CHECK6  ,Eingabe)
	ON_LBN_SELCHANGE ( IDC_LIST1   ,Eingabe)
	ON_LBN_DBLCLK    ( IDC_LIST1   ,GruppeHolen)
	ON_BN_CLICKED	 (IDOK		   ,OnFind)
	ON_BN_CLICKED	 (IDC_BUTTON1  ,OnNext)
	ON_BN_CLICKED	 (IDC_GROUP1   ,OnGroupInsert)
	ON_BN_CLICKED	 (IDC_GROUP2   ,OnGroupDelete)
	ON_BN_CLICKED	 (IDC_GROUP3   ,OnGroupClearAll)
	ON_BN_CLICKED	 (IDC_GROUP4   ,OnGroupUp)
	ON_BN_CLICKED	 (IDC_GROUP5   ,OnGroupDown)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DLG_OLDPOS(CHexFindDlg)


//*****************************************************************************
//*
//*		ChainStr
//*
//*****************************************************************************
// Ergibt einen Zeiger auf den String Nr in der Kette
// Ergibt 0 wenn String nicht gefunden wurde;
char *ChainStr(char **Kette,int Nr)
{
char	*zeiger;
int		 pos;

	if(!Kette) return 0;				// Kette nicht vorhanden
	zeiger=*Kette;
	if(!zeiger)return 0;				// Kette nicht vorhanden

	pos=0;
	do	{
		if(!*zeiger)return 0;			// Kette ist zu klein
		if(Nr==pos )return zeiger;		// String gefunden;
		zeiger+=strlen(zeiger)+1;		// nchster String
		pos++;
		}while(1);

return 0;
}

//*****************************************************************************
//*
//*		ChainFind
//*
//*****************************************************************************
// Sucht eine String in der Kette
// Ergibt die Position des Strings in der Kette bzw. -1 wenn nicht gefunden.
int ChainFind(char **Kette,char *Str)
{
char	*zeiger;
int		 pos,anz;

	if(!Kette) return -1;				// Kette nicht vorhanden
	zeiger=*Kette;
	if(!zeiger)return -1;				// Kette nicht vorhanden

	for(pos=0;1;pos++)
		{
		anz=strlen(zeiger);
		if(anz<=0)return -1;			// Ende erreicht
		if(!memcmp(Str,zeiger,anz))		// Strings vergleichen
			return pos;
		zeiger+=anz+1;					// nchster String
		}

return 0;
}

//*****************************************************************************
//*
//*		ChainLength
//*
//*****************************************************************************
// Ergibt die Lnge einer Kette in Byte inklusife letzem Null-Byte
int ChainLength(char **Kette)
{
char	*zeiger;
int		 len,anz;

	if(!Kette) return 0;				// Kette nicht vorhanden
	zeiger=*Kette;
	if(!zeiger)return 0;				// Kette nicht vorhanden

	len=0;
	do	{
		if(!*zeiger)return len+1;		// Kette ist zuende
		anz=strlen(zeiger)+1;			// String Lnge
		zeiger+=anz;					// nchster String
		len   +=anz;
		}while(1);

return 0;
}

//*****************************************************************************
//*
//*		ChainCount
//*
//*****************************************************************************
// Ergibt die Anzahl der Strings in der Kette
int ChainCount(char **Kette)
{
char	*zeiger;
int		 anz;

	if(!Kette) return 0;				// Kette nicht vorhanden
	zeiger=*Kette;
	if(!zeiger)return 0;				// Kette nicht vorhanden

	anz=0;
	do	{
		if(!*zeiger)return anz;			// Kette ist zuende
		zeiger+=strlen(zeiger)+1;		// nchster String
		anz++;
		}while(1);

return 0;
}


//*****************************************************************************
//*
//*		ChainInsert
//*
//*****************************************************************************
// Fgt in eine StringChain einen String an Position Nr ein
// Ergibt die Lnge der Neuen Kette
int ChainInsert(char **Kette,char *Str,int Nr)
{
char	*zeiger,*neu;
int		 len,anz,pos,alt;

	anz=strlen(Str)+1;					// String Lnge
	len=ChainLength(Kette);				// Ketten Lnge
	if(anz<=0)return len;				// String ist zu kurz
	if(!len)
		{
		if(*Kette)delete *Kette;		// Alten Speicher freigeben
 		   *Kette=new char[anz+1];		// Neue Kette erzeugen
		  (*Kette)[anz]=0;				// Null-Byte anhngen
			memcpy(*Kette,Str,anz);		// String kopieren
		return anz+1;
		}


	neu=new char[anz+len];				// Neue Kette erzeugen
	zeiger=*Kette;
	*Kette=neu;

	for(pos=0;1;pos++)
		{
		if(pos==Nr)
			{
			memcpy(neu,Str,anz);		// String kopieren
			neu+=anz;
			}

		alt=strlen(zeiger)+1;			// String Lnge
		memcpy(neu,zeiger,alt);			// String kopieren
		zeiger+=alt;	 				// Nchster String
		neu   +=alt;

		if(alt<=1)return len+anz;		// Kette ist zuende
		}

return 0;
}
//*****************************************************************************
//*
//*		ChainDelete
//*
//*****************************************************************************
// Lscht einen String an Position Nr aus der Kette
// Ergibt die Lnge der Neuen Kette
int ChainDelete(char **Kette,int Nr)
{
char	*zeiger;
int		 len,anz,pos,alt;


	len=ChainLength(Kette);				// Ketten Lnge
	if(len<=1)return len;				// Kette ist leer
	zeiger=*Kette;

	for(pos=0,alt=len;1;pos++)
		{
		anz=strlen(zeiger)+1;			// String Lnge
		if(anz<=1)break;				// Ende erreicht ?
		if(pos==Nr)
			{							// String lschen
			memmove(zeiger,zeiger+anz,alt);
			return len-anz;
			}
		zeiger+=anz;	 				// Nchster String
		alt   -=anz;
		}

return len;
}
//*****************************************************************************
//*
//*		ChainClear
//*
//*****************************************************************************
// Lscht die gesamte Kette
void  ChainClear(char **Kette)
{

	if(!Kette) return;					// Kette nicht vorhanden
	if(*Kette){delete *Kette;*Kette=0;}	// Alten Speicher freigeben

}
//*****************************************************************************
//*
//*		StrMode
//*
//*****************************************************************************
// Analysiert die Art eines Strings
// Ist Str==0 so wird der String aus dem Suchen-Feld geholt
// Ergibt  0 wenn Dezimalzahl
//         1 wenn Hexadezimalzahl
//         2 wenn Binrzahl
//         3 wenn Octalzahl
//         4 wenn String
//         5 wenn Hex-Dump
//         6 wenn Hex-Dump mit Maske
//        -1 wenn unbestimmt
int StrMode(const char *Str)
{
char		zeichen;
int			minus=0;


	zeichen=*Str;							// Leerzeichen entfernen
	for(;;)
		{
		if((zeichen==' ')||(zeichen=='\t'))Str++;
		else break;
		zeichen=*Str;
		}

	if(zeichen== 0  )return -1;				// Undefiniert
	if(zeichen=='\"')return  4;				// String
	if(zeichen==':' )
		{
		Str++;
		while (*Str      && *Str!=':' &&
			   *Str!='#' && *Str!='?')Str++;
		return(*Str)? 6:5;					// Hex-Dump oder Masken-Dump
		}
	if(zeichen=='-' ){minus=1;Str++;zeichen=*Str;}
	if(zeichen=='0')						// Spezial Zahl
		{
		zeichen=Str[1];
		if(zeichen<='Z')zeichen+=32;
		if(zeichen=='o')return 3;
		if(zeichen=='b')return 2;
		if(zeichen=='x')return 1;
						return 0;
		}

	if((zeichen>='0')&&(zeichen<='9'))return 0;

return 4;									// String
}

//*****************************************************************************
//*
//*		StrToBin
//*
//*****************************************************************************
// Wandelt einen String in einen Binren Speicherbereich um
// Len ist die Gre des Speichers *Mem
// Mem muss mindesten 4 Byte gro sein !!!
// Ergibt die Lnge des Speicherbereiches
int StrToBin(const char *Str,void *Mem,int Len)
{
int	  x,z,art,len=0;
char *mem=(char*)Mem;



	memset(mem,0,Len);						// Alles auf Null setzen


											// Leerzeichen entfernen
	for(;;)
		{
		x=*Str;
		if((x==' ')||(x=='\t'))Str++;
		else break;
		}


	art=StrMode(Str);

//*************** String gefunden **********************************************

	if(art==4)return strtomem(mem,Len,Str);

//*************** Hex-Dump gefunden ********************************************
	if(art==5)
		{
		x=dumptomem(mem,Len,Str);
		return x;
		}
//*************** Masken-Dump gefunden *****************************************
	if(art==6)
		{
		Len>>=1;
		x=masktomem(mem  ,mem+Len,Len,Str);
		ASSERT(x>=0 && x<=128);
		  memmove  (mem+x,mem+Len,x);		// Maske hinter Bytes schieben

		return x*2;
		}
//*************** Zahlen gefunden **********************************************

	x=strtoi(Str,0xC000);
	z=(x<0);

	memcpy(mem,&x,4);
	if(Len<4)for(x=Len;x<4;x++)mem[x]=(z)? 0xFF:0x00;
	else Len=4;

return Len;
}
//*****************************************************************************
//*
//*		BinToStr
//*
//*****************************************************************************
// Wandelt einen Binren Speicherbereich in einen String um
// Len ist die Gre des Speichers *Mem
// Der Strings-Speicher muss mindesten 256 Byte lang sein
// Art ist die Art des Stringes fr Umwandlung
//         0 wenn Dezimalzahl
//         1 wenn Hexadezimalzahl
//         2 wenn Binrzahl
//         3 wenn Octalzahl
//         4 wenn String
//         5 wenn Hex-Dump
//         6 wenn Hex-Dump mit Maske
// Ergibt die Lnge des Strings
int BinToStr(const void *Mem,int Len,char *Str,int Art)
{
int		x,minus,zahl;
char   *mem=(char*)Mem;


//*************** Zahlen erzeugen **********************************************

	if((Art>=0)&&(Art<=3))
		{
		if(Len<=0)Len=1;
		minus=mem[Len-1]&0x80;
		zahl=*(int*)mem;
		if(Len<4)
			{
			for(x=Len;x<4;x++)((char*)&zahl)[x]=(minus)? 0xFF:0x00;
			}

		return itostr(zahl,Str,Art);
		}

//*************** String erzeugen **********************************************

	if(Art==4)
		{
		while(Len && !mem[Len-1])Len--;
		x=memtostr(Str,256,mem,Len);
		return x;
		}

//*************** Hex-Dump erzeugen ********************************************

	if(Art==5)
		{
		return memtodump(Str,mem,Len,HEX_SPACE|HEX_NULL|HEX_DPOINT|HEX_ENDCUT);
		}

//*************** Masken-Dump erzeugen ********************************************

	if(Art==6)
		{
		Len>>=1;
		return memtomask(Str,256,mem,mem+Len,Len,HEX_SPACE|HEX_NULL|HEX_DPOINT|HEX_ENDCUT);
		}

	*Str=0;

return 0;
}

//*****************************************************************************
//*
//*		Konstruktor ... Grundeinstellung der Variabeln
//*
//*****************************************************************************
int		CHexFindDlg::x_pos=0;			// Fenster X-Position
int		CHexFindDlg::y_pos=0;			// Fenster Y-Position

CHexFindDlg::CHexFindDlg(CWnd *pParent) : CDialog(CHexFindDlg::IDD,pParent)
{
}
//*****************************************************************************
//*
//*		DoModal
//*
//*****************************************************************************
// Ausfhren des Dialoges
// ber Flags werden die einzelnen Bits bergeben:
//		HEX_FIND_GROUP  	: Gruppen Suche
//		HEX_FIND_IN_ORDER   : Bei der Gruppen suche die Reihenfolge beachten
//		HEX_FIND_IN_SEL 	: Nur im Markierten Bereich suchen
//		HEX_FIND_IN_ALL     : Alls Durchsuchen (nicht am Ende aufhren)
//		HEX_FIND_NO_CASE	: Bei Text-Suche Gro/Kleinbuchstaben nicht unterscheiden
//		HEX_FIND_UPWARDS	: Aufwrts Suchen (Adresse --)
//		HEX_FIND_SELLECTED  : Ein Bereich ist makiert
//		HEX_FIND_UNICODE    : Text als Unicode suchen
//		HEX_FIND_BIGENDIAN  : Zahlen im Motorola Format suchen
// Suchen_str ist eine String Kette und beinhaltet alle zu vor gesuchten Strings
// Gruppe_str ist eine String Kette und beinhaltet die zuletzt eingestellte Gruppe
// Ergebnis ist eine String Kette und den Ausdruck nach dem gesucht wird
//    Form: [Bereichs-Lnge]                    /00
//          [Art-Byte]:[Lnge]   [/B][/G] :Hex-Dump /00
//			[Art-Byte]:[Lnge]   [/B][/G] :Hex-Dump /00 ...
//          /00
//    /G       :  fr Gro/Kleinschreibung ignorieren
//    /B       :  fr Motorolar Format
//    Art-Byte :  'D'-Dezimal  'H'-Hexadez. 'B'=Binrzzahl  'O'=Oktalzahl
//				  'T'=Text     'U'=Hex-Dump 'M'=Masken-Dump 'N'=Unicode
//
// Ergibt IDOK        wenn        gesucht werden soll
// Ergibt IDOK+0x8000 wenn weiter gesucht werden soll

int	CHexFindDlg::variabel_alt=2;

INT_PTR	CHexFindDlg::DoModal(int *Flags,char **Suchen_str
									 ,char **Gruppe_str
									 ,char **Ergebnis
									 ,char	*Text)
{
int		x;


	if(!Text)Text="\00";

	text		= Text;
	ergebnis    = Ergebnis;
	suchen_str  = Suchen_str;
	gruppe_str  = Gruppe_str;
	gruppe_len  = 1000;
	gruppe_reihe= 0;
	gruppe_alt  =-1;


//***************** Flags holen ************************************************

	x=*Flags;

	gruppe_ein  =(x&HEX_FIND_GROUP		)!=0;
	gruppe_reihe=(x&HEX_FIND_IN_ORDER   )!=0;
	marke=0;//  =(x&HEX_FIND_IN_SEL		)!=0;
	alles=1;//  =(x&HEX_FIND_IN_ALL     )!=0;
	grosklein   =(x&HEX_FIND_NO_CASE	)!=0;
	anfang=1;// =(x&HEX_FIND_BEGIN		)!=0;
	unicode		=(x&HEX_FIND_UNICODE	)!=0;
	bigendian	=(x&HEX_FIND_BIGENDIAN	)!=0;
	auf         =(x&HEX_FIND_UPWARDS	)==0;
	marke_ein   =(x&HEX_FIND_SELLECTED  )!=0;


	variabel_art=variabel_alt;
	eingabe_art =0;
	text_len	=0;
	exit		=0;

	x=CDialog::DoModal();					// Dialog ausfhren

//***************** Flags speichern ********************************************

	*Flags=0;
	if( gruppe_ein  )*Flags|=HEX_FIND_GROUP;
	if( gruppe_reihe)*Flags|=HEX_FIND_IN_ORDER;
	if( marke       )*Flags|=HEX_FIND_IN_SEL;
	if( alles       )*Flags|=HEX_FIND_IN_ALL;
	if( grosklein   )*Flags|=HEX_FIND_NO_CASE;
	if( anfang      )*Flags|=HEX_FIND_BEGIN;
	if( unicode     )*Flags|=HEX_FIND_UNICODE;
	if( bigendian	)*Flags|=HEX_FIND_BIGENDIAN;
	if(!auf         )*Flags|=HEX_FIND_UPWARDS;

return	x;
}

//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CHexFindDlg::DoDataExchange(CDataExchange *pDX)
{
int			x=0,y=0;
char		str[256];
CComboBox  *cbbox;
CListBox   *libox;



	CDialog::DoDataExchange(pDX);


//****************** Suchen Eingabe analysieren ? ******************************

	if(analyse)
		{
		analyse=0;
									// Text aus Suchen-Feld holen
						 cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);
				x       =cbbox->GetCurSel();
		if(x<0)	text_len=cbbox->GetWindowText(str,256);
		else	text_len=cbbox->GetLBText(x,str);

		   x=StrMode(str);			// Welche Eingabe ist Vorhanden
		if(x!=-1) eingabe_art=x;
		}

//*****************************************************************************

	DDX_Text    ( pDX , IDC_EDIT1 , gruppe_len   );
	DDX_Check	( pDX , IDC_CHECK1, grosklein    );
	DDX_Check	( pDX , IDC_CHECK2, alles        );
	DDX_Check	( pDX , IDC_CHECK3, marke        );
	DDX_Check   ( pDX , IDC_CHECK4, gruppe_ein   );
	DDX_Check   ( pDX , IDC_CHECK5, gruppe_reihe );
	DDX_Check   ( pDX , IDC_CHECK6, anfang       );
	DDX_Check   ( pDX , IDC_CHECK7, unicode	     );
	DDX_Check   ( pDX , IDC_CHECK8, bigendian    );

	DDX_Radio   ( pDX , IDC_RADIO1, auf          );
	DDX_Radio	( pDX , IDC_INPUT1, eingabe_art  );
	DDX_Radio	( pDX , IDC_VAR1  , variabel_art );

	GetDlgItem(IDC_CHECK1)->EnableWindow(eingabe_art==4);
	GetDlgItem(IDC_CHECK7)->EnableWindow(eingabe_art==4);

	if(gruppe_ein)
		{
		  libox=(CListBox*)GetDlgItem(IDC_LIST1);
		x=libox->GetSelCount();
		y=libox->GetCount();
		}

	//GetDlgItem(IDC_RADIO1 )->EnableWindow(!anfang && !marke);
	//GetDlgItem(IDC_RADIO2 )->EnableWindow(!anfang && !marke);
	GetDlgItem(IDC_CHECK1)->EnableWindow(variabel_art==3);
	GetDlgItem(IDC_CHECK7)->EnableWindow(eingabe_art ==4);
	GetDlgItem(IDC_CHECK8)->EnableWindow(eingabe_art < 4 && variabel_art>=1 && variabel_art<=2);
	GetDlgItem(IDC_GROUP1)->EnableWindow(gruppe_ein && text_len && (y<GRUPPE_MAX));
	GetDlgItem(IDC_GROUP2)->EnableWindow(gruppe_ein && x  );
	GetDlgItem(IDC_GROUP3)->EnableWindow(gruppe_ein && y  );
	GetDlgItem(IDC_GROUP4)->EnableWindow(gruppe_ein && y>1);
	GetDlgItem(IDC_GROUP5)->EnableWindow(gruppe_ein && y>1);

	if(gruppe_alt!=gruppe_ein)
		{
		gruppe_alt=gruppe_ein;

		GetDlgItem(IDC_LIST1  )->EnableWindow(gruppe_ein);
		GetDlgItem(IDC_EDIT1  )->EnableWindow(gruppe_ein);
		GetDlgItem(IDC_CHECK5 )->EnableWindow(gruppe_ein);

		CRect	rect(0,138,297,235);
		MapDialogRect(&rect);

		SetWindowPos(0, 0, 0, rect.right, (gruppe_ein)? rect.bottom:rect.top,SWP_NOMOVE);
		SetDefID((gruppe_ein)? IDC_GROUP1:IDOK);
		}

}

//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CHexFindDlg::OnInitDialog()
{
int			x=0,y=0;
char	   *zeiger;
CComboBox  *cbbox;
CListBox   *libox;


	SET_DLG_OLDPOS()
	
	if(x_pos||y_pos)
		{
		SetWindowPos(&CWnd::wndTop,x_pos,y_pos,0,0,SWP_NOSIZE);
		}

	GetDlgItem(IDC_CHECK3 )->EnableWindow(marke_ein);

	cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);
	if(!text && *suchen_str)text=*suchen_str;

		cbbox->SetWindowText(text);
		eingabe_art=  StrMode(text);
	if((eingabe_art>=4)&&(variabel_art!=3))
		{
		variabel_art=3;
		}


	CDialog::OnInitDialog();

	
	for(x=0;x<SUCHEN_MAX;x++)
		{
		zeiger=ChainStr(suchen_str,x);
		if(!zeiger)break;
		cbbox->InsertString(x,zeiger);
		}

	if(gruppe_str)								// Gruppen Daten aus String Kette laden
	do	{
		zeiger=*gruppe_str;
		if(!zeiger)break;

		libox=(CListBox*)GetDlgItem(IDC_LIST1);
		if(*zeiger)
			{
			x=0;
			gruppe_len=strtoi(zeiger,0xC000);	// Bereichs Gre
			if(gruppe_len<=0) gruppe_len=1000;
			zeiger+=strlen(zeiger)+1;
			while(*zeiger && (x<GRUPPE_MAX))	// Suchen Daten
				{
				libox->InsertString(-1,zeiger);
				zeiger+=strlen(zeiger)+1;
				x++;
				}
			 }
		}while(0);



return TRUE;
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CHexFindDlg::OnOK()
{

	UpdateData();
	GET_DLG_OLDPOS()
	CDialog::OnOK();

}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CHexFindDlg::OnCancel()
{

	UpdateData();
	GET_DLG_OLDPOS()
	CDialog::OnCancel();

}

//*****************************************************************************
//*
//*		AddFindText
//*
//*****************************************************************************
// Fgt einen Suchen Text
void CHexFindDlg::AddFindText()
{
int			x;
char		str[256];
CComboBox  *cbbox;



			  cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);
			x=cbbox->GetCurSel();
	if(x<0)	x=cbbox->GetWindowText(str,256);
	else	x=cbbox->GetLBText(x,str);


	if(x){		x=ChainFind(suchen_str,str);
		 if(x!=-1)ChainDelete   (suchen_str,x);
				  ChainInsert   (suchen_str,str,0);
				x=ChainCount   (suchen_str);
		 while(x>SUCHEN_MAX){ChainDelete(suchen_str,SUCHEN_MAX);x--;}

		 }

}
//*****************************************************************************
//*
//*		StringMode
//*
//*****************************************************************************
// StringMode wandelt den in Suchen-Feld sehenden Text
// in die Form  [Art-Byte]:[Lnge] [/B] [/G] :[Hex-Dump] [(Klartext)] um
void CHexFindDlg::StringMode(char *Str,int Max)
{
int			x,y,z,or=0,big=0,len[8]={1,2,4,256,256,256,1,256};
char		str[256],mem[256],neu[256],uni[256],*mmm=mem;
CComboBox  *cbbox;



	cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);	// Text aus Suchen-Feld holen

			x=cbbox->GetCurSel();
	if(x<0)	  cbbox->GetWindowText(str,256);
	else	  cbbox->GetLBText(x,str);


	x=z=StrToBin(str,mem,len[variabel_art&7]);	// Alte Art in neue Umwandeln
	if(!x)return;

	UpdateData();


	if(eingabe_art<0 || eingabe_art>6)eingabe_art=StrMode(text);
	if(eingabe_art<0 || eingabe_art>6)eingabe_art=4;

	if(eingabe_art==4 && unicode)				// Text in Unicode umwandeln
		{
		if(x>128)x=128;
		for(y=x-1;y>=0;y--)
			{
			uni[y*2  ]=mem[y];
			uni[y*2+1]=0;
			}
		mmm=uni;
		x<<=1;
		or=7;
		}

	if(eingabe_art<4 && bigendian )				// In Motorola Format umwandeln
	if(x==4 || x==2)
		{
		for(y=0;y<x;y++)
			{
			uni[y]=mem[x-y-1];
			}
		mmm=uni;
		big=1;
		}

	BinToStr(mmm,x,neu,5);						// Hex-Dump erzeugen
	BinToStr(mem,z,str,eingabe_art);			// Klartext erzeugen
	Str[0]="DHBOTUMN"[(eingabe_art&7)|or];		// Byte-Lnge
	Str[1]=':';
	itostr(x,Str+2,0);

	if(grosklein && (eingabe_art==4))strcat(Str," /G");
	if(big)strcat(Str," /B");

	y=5;
	if(x< 3)y--;
	if(x< 7)y--;
	if(x<10)y--;
	if(x<13)y--;
	strlcat(Str,"\t"				,Max);
	strlcat(Str,neu					,Max);
	strlcat(Str,"\t\t\t\t\t\t("+y	,Max);
	strlcat(Str,str					,Max);
	strlcat(Str,")"					,Max);

}

//*****************************************************************************
//*
//*		OnFind
//*
//*****************************************************************************
// Suchen mit beenden des Dialoges
void CHexFindDlg::OnFind()
{
int			x,y;
char	    str[256+42];
CListBox   *libox;



	UpdateData();
	AddFindText();

//******************* Gruppen Daten aktualiesieren *****************************

	  libox=(CListBox*)GetDlgItem(IDC_LIST1);
	y=libox->GetCount();

	itostr       (gruppe_len,str,0);
	ChainClear(gruppe_str);
	ChainInsert     (gruppe_str,str,0);
	for(x=0;x<y;x++)
		{
		libox->GetText(x,str);
		ChainInsert(gruppe_str,str,x+1);
		}

//******************* Ergebnis speichern ***************************************

	if(gruppe_ein)
		{
		x=ChainLength(gruppe_str);
		if(x)
			{
			ChainClear(ergebnis);
			*ergebnis=new char[x];
			memcpy(*ergebnis,*gruppe_str,x);
			}
		}
	else{
		ChainClear(ergebnis);
		StringMode(str,sizeof(str));
		ChainInsert (ergebnis,"0",0);
		ChainInsert (ergebnis,str,1);
		}


	variabel_alt=variabel_art;


	EndDialog(IDOK|exit);
}

//*****************************************************************************
//*
//*		EndDialog
//*
//*****************************************************************************
// Suchen ohne beenden des Dialoges
void CHexFindDlg::EndDialog(int Wert)
{
RECT	rect;

	GetWindowRect(&rect);
	x_pos=rect.left;
	y_pos=rect.top;

CDialog::EndDialog(Wert);
}
//*****************************************************************************
//*
//*		OnNext
//*
//*****************************************************************************
// Suchen ohne beenden des Dialoges
void CHexFindDlg::OnNext()
{
	exit=0x8000;
	OnFind();
}

//*****************************************************************************
//*
//*		OnInputConvert
//*
//*****************************************************************************
// Analysiert die neue Eingabe im Suchen-Feld

void CHexFindDlg::OnInputConvert()
{
int			x,ein,var;
int			minus=0,len[8]={1,2,4,256,256,256,1,256};
char		str[256],mem[256];
CComboBox  *cbbox;


	cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);

			x=cbbox->GetCurSel();
	if(x<0)	  cbbox->GetWindowText(str,256);
	else	  cbbox->GetLBText(x,str);

	ein=eingabe_art;
	var=variabel_art;

	analyse=0;
	UpdateData();

	x=0;
	while(str[x]==' ')x++;
	if(str[x]==0)
		{
		if(eingabe_art==1)cbbox->SetWindowText("0x");
		if(eingabe_art==2)cbbox->SetWindowText("0b");
		if(eingabe_art==3)cbbox->SetWindowText("0o");
		if(eingabe_art==4)cbbox->SetWindowText("\"");
		if(eingabe_art==5)cbbox->SetWindowText(":" );
		if(eingabe_art==6)cbbox->SetWindowText(":" );
		}
	else{
		x=StrToBin(str,mem,len[var&7]);		// Alte Art in neue Umwandeln
		  BinToStr(mem,x  ,str,eingabe_art);

		cbbox->SetWindowText(str);			// String wieder einfgen
		}

	if((eingabe_art>=4)&&(variabel_art!=3))
		{
		variabel_art=3;
		UpdateData(FALSE);
		}

	GetDlgItem(IDC_CHECK1)->EnableWindow(eingabe_art==4);
	GetDlgItem(IDC_CHECK7)->EnableWindow(eingabe_art==4);

}

//*****************************************************************************
//*
//*		OnInputCheck
//*
//*****************************************************************************
// Analysiert die neue Eingabe im Suchen-Feld
void CHexFindDlg::OnInputCheck()
{

	analyse=1;
	UpdateData(FALSE);
	if((eingabe_art>=4)&&(variabel_art!=3))
		{
		variabel_art=3;
		UpdateData(FALSE);
		}

	GetDlgItem(IDC_CHECK1)->EnableWindow(eingabe_art==4);
	GetDlgItem(IDC_CHECK7)->EnableWindow(eingabe_art==4);

}
//*****************************************************************************
//*
//*		Eingabe
//*
//*****************************************************************************
// Eingabe aktualisieren
void CHexFindDlg::Eingabe()
{
int			marke_alt,anfang_alt;

	 marke_alt=marke;
	anfang_alt=anfang;

	UpdateData();

	if(marke && anfang)
		{
		if(marke_alt!=marke)anfang=0;
		else                marke =0;
		UpdateData(FALSE);
		}

}
//*****************************************************************************
//*
//*		OnGroupInsert
//*
//*****************************************************************************
// OnGroupInsert : fgt das Suchen Feld in die Gruppen-Liste ein
void CHexFindDlg::OnGroupInsert()
{
char		str[256+40];
CListBox   *libox;


	AddFindText();
	StringMode(str,sizeof(str));

	libox=(CListBox*)GetDlgItem(IDC_LIST1);
	libox->InsertString(-1,str);

	UpdateData();
}
//*****************************************************************************
//*
//*		OnGroupDelete()
//*
//*****************************************************************************
// OnGroupDelete : lscht Eintrge aus der Gruppen-Liste

void CHexFindDlg::OnGroupDelete()
{
int			index;
CListBox   *libox;


		  libox=(CListBox*)GetDlgItem(IDC_LIST1);
	while(libox->GetSelItems(1,&index))
		 {libox->DeleteString(index);}

	UpdateData();
}

//*****************************************************************************
//*
//*		OnGroupClearAll()
//*
//*****************************************************************************
// OnGroupClearAll : lscht alle Eintrge aus der Gruppen-Liste
void CHexFindDlg::OnGroupClearAll()
{
CListBox   *libox;

	libox=(CListBox*)GetDlgItem(IDC_LIST1);
	libox->ResetContent();
	UpdateData();

}

//*****************************************************************************
//*
//*		GruppeHolen()
//*
//*****************************************************************************
// GruppeHolen :  Schreib den ausgewhlten Eintrag ins Suchen Feld
void CHexFindDlg::GruppeHolen()
{
int			x,art,len,pos=0,gr_kl=0,big=0;
char		str[256+40],mem[256];
CComboBox  *cbbox;
CListBox   *libox;


	  libox=(CListBox*)GetDlgItem(IDC_LIST1);
	x=libox->GetCaretIndex();
	  libox->GetText(x,str);

				   art=5;
	if(str[0]=='D')art=0;
	if(str[0]=='H')art=1;
	if(str[0]=='B')art=2;
	if(str[0]=='O')art=3;
	if(str[0]=='T')art=4;
	if(str[0]=='M')art=6;
	if(str[0]=='N')art=4;

	len =strtoi (str+2,0xC000);
	pos =strchar(str+3,'B');if(str[pos+3]=='B')big  =1;
	pos =strchar(str+3,'G');if(str[pos+3]=='G')gr_kl=1;
	pos =strchar(str+3,':');StrToBin(str+pos+3,mem,256);

	if(big)										// Modorola Format umwandeln
		{
		for(pos=0;pos<(len>>1);pos++)
			{
			x=mem[pos];
			  mem[pos]=mem[len-pos-1];
			  mem[len-pos-1]=x;
			}
		}

	if(str[0]=='N')								// Unicode in Text umwandeln
		{
		len>>=1;
		for(x=1;x<len;x++)mem[x]=mem[x<<1];
		}


	BinToStr(mem,len,str,art);

	cbbox=(CComboBox*)GetDlgItem(IDC_COMBO1);	// Text in Suchen-Feld
	cbbox->SetWindowText(str);

	OnInputCheck();
	UpdateData();

	if(art==4)grosklein=gr_kl;
	if(art>=4)variabel_art=3;
	else{
		if(len==1)variabel_art=0;
		if(len==2)variabel_art=1;
		if(len==4)variabel_art=2;
		}

	UpdateData(FALSE);
}
//*****************************************************************************
//*
//*		OnGroupUp()
//*
//*****************************************************************************
// OnGroupUp :  Schribb den ausgewhlten Eintrag aufwrts
void CHexFindDlg::OnGroupUp()
{
int			x,z;
char		str[256+40];
CListBox   *libox;


	  libox=(CListBox*)GetDlgItem(IDC_LIST1);
	z=libox->GetCount();

	x=libox->GetCaretIndex();
	  libox->GetText(x,str);
	  libox->DeleteString(x);x--;if(x<0)x=z-1;
	  libox->InsertString(x,str);
	  libox->SetCaretIndex(x);
}

//*****************************************************************************
//*
//*		OnGroupDown()
//*
//*****************************************************************************
// OnGroupDown :  Schribb den ausgewhlten Eintrag abwrts
void CHexFindDlg::OnGroupDown()
{
int			x,z;
char		str[256+40];
CListBox   *libox;


	  libox=(CListBox*)GetDlgItem(IDC_LIST1);
	z=libox->GetCount();
	x=libox->GetCaretIndex();
	  libox->GetText(x,str);
	  libox->DeleteString(x);x++;if(x>=z)x=0;
	  libox->InsertString(x,str);
	  libox->SetCaretIndex(x);
}



